List Codexgate Threads
GET
/v1/admin/codexgate/threads
const url = 'https://example.com/v1/admin/codexgate/threads?limit=25&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/admin/codexgate/threads?limit=25&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CodexGateThreadListOut
object
items
Items
Array<object>
CodexGateThreadOutobject
thread_key
required
Thread Key
string
repo
required
Repo
string
merge_gate
Merge Gate
string
signal
required
CodexGateSignalOut
object
observed_change_id
required
Observed Change Id
string
signal_key
required
Signal Key
string
signal_kind
required
Signal Kind
string
source
Source
string
status
Status
string
title
Title
string
summary
Summary
string
repo
Repo
string
branch
Branch
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
labels
Labels
Array<string>
changed_files
Changed Files
Array<string>
failing_checks
Failing Checks
Array<string>
review_summary
Review Summary
string
operator_text
Operator Text
string
linked_scenario_keys
Linked Scenario Keys
Array<string>
payload
Payload
object
key
additional properties
any
evaluation
required
CodexGateEvaluationOut
object
signal
required
CodexGateSignalOut
object
observed_change_id
required
Observed Change Id
string
signal_key
required
Signal Key
string
signal_kind
required
Signal Kind
string
source
Source
string
status
Status
string
title
Title
string
summary
Summary
string
repo
Repo
string
branch
Branch
string
github_ref
Github Ref
string
merge_sha
Merge Sha
string
labels
Labels
Array<string>
changed_files
Changed Files
Array<string>
failing_checks
Failing Checks
Array<string>
review_summary
Review Summary
string
operator_text
Operator Text
string
linked_scenario_keys
Linked Scenario Keys
Array<string>
payload
Payload
object
key
additional properties
any
scenario_keys
Scenario Keys
Array<string>
pack_keys
Pack Keys
Array<string>
gitops_surface
Gitops Surface
string
expected_artifacts
Expected Artifacts
Array<string>
acceptance_contract
Acceptance Contract
string
scorecard
required
CodexGateScorecardOut
object
practicality
Practicality
string
performance
Performance
string
input
Input
string
output_expectation
Output Expectation
string
improvement_suggestions
Improvement Suggestions
Array<string>
repo_policy
required
CodexGateRepositoryPolicyOut
object
repo
required
Repo
string
enabled_packs
Enabled Packs
Array<string>
allowed_agents
Allowed Agents
Array<string>
allowed_engines
Allowed Engines
Array<string>
pr_submission_policy
Pr Submission Policy
string
pr_submitter_agents
Pr Submitter Agents
Array<string>
pr_submission_pipeline
Pr Submission Pipeline
string
merge_gate
Merge Gate
string
risk_tier
Risk Tier
string
context
required
CodexGateThreadContextOut
object
changed_files
Changed Files
Array<string>
patch_targets
Patch Targets
Array<string>
failing_checks
Failing Checks
Array<string>
review_threads
Review Threads
Array<string>
linked_refs
Linked Refs
Array<string>
evidence_urls
Evidence Urls
Array<string>
prior_proposal_keys
Prior Proposal Keys
Array<string>
prior_run_ids
Prior Run Ids
Array<string>
bound_proposal_id
Bound Proposal Id
string
bound_proposal_key
Bound Proposal Key
string
affected_dataset_keys
Affected Dataset Keys
Array<string>
affected_data_domains
Affected Data Domains
Array<string>
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
scan_scope
Scan Scope
string
full_repo_scan_allowed
Full Repo Scan Allowed
boolean
escalation_reason
Escalation Reason
string
primary_pack_key
Primary Pack Key
string
primary_scenario_key
Primary Scenario Key
string
total
Total
integer
Example
{ "items": [ { "merge_gate": "human-final-merge", "signal": { "signal_kind": "pr_review_requested_changes", "source": "github", "status": "pending", "title": "", "summary": "", "repo": "", "branch": "", "github_ref": "", "merge_sha": "", "review_summary": "", "operator_text": "" }, "evaluation": { "signal": { "signal_kind": "pr_review_requested_changes", "source": "github", "status": "pending", "title": "", "summary": "", "repo": "", "branch": "", "github_ref": "", "merge_sha": "", "review_summary": "", "operator_text": "" }, "gitops_surface": "", "acceptance_contract": "", "scorecard": { "practicality": "", "performance": "", "input": "", "output_expectation": "" } }, "repo_policy": { "pr_submission_policy": "selective-agent-pr", "pr_submission_pipeline": "github-app-draft-pr", "merge_gate": "human-final-merge", "risk_tier": "standard" }, "context": { "bound_proposal_id": "", "bound_proposal_key": "", "scan_scope": "thread-scoped", "full_repo_scan_allowed": false, "escalation_reason": "" }, "primary_pack_key": "", "primary_scenario_key": "" } ], "total": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}